[BACK]Return to configure CVS log [TXT][DIR] Up to [local] / OpenXM / src / kxx

Diff for /OpenXM/src/kxx/configure between version 1.5 and 1.6

version 1.5, 2006/10/08 23:49:18 version 1.6, 2008/01/12 11:26:16
Line 272  PACKAGE_STRING=
Line 272  PACKAGE_STRING=
 PACKAGE_BUGREPORT=  PACKAGE_BUGREPORT=
   
 ac_unique_file="oxmain.c"  ac_unique_file="oxmain.c"
 # Factoring default headers for most tests.  ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT RANLIB ac_ct_RANLIB LIBOBJS LTLIBOBJS'
 ac_includes_default="\  
 #include <stdio.h>  
 #if HAVE_SYS_TYPES_H  
 # include <sys/types.h>  
 #endif  
 #if HAVE_SYS_STAT_H  
 # include <sys/stat.h>  
 #endif  
 #if STDC_HEADERS  
 # include <stdlib.h>  
 # include <stddef.h>  
 #else  
 # if HAVE_STDLIB_H  
 #  include <stdlib.h>  
 # endif  
 #endif  
 #if HAVE_STRING_H  
 # if !STDC_HEADERS && HAVE_MEMORY_H  
 #  include <memory.h>  
 # endif  
 # include <string.h>  
 #endif  
 #if HAVE_STRINGS_H  
 # include <strings.h>  
 #endif  
 #if HAVE_INTTYPES_H  
 # include <inttypes.h>  
 #else  
 # if HAVE_STDINT_H  
 #  include <stdint.h>  
 # endif  
 #endif  
 #if HAVE_UNISTD_H  
 # include <unistd.h>  
 #endif"  
   
 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT RANLIB ac_ct_RANLIB CFLAG2 CPP EGREP CFLAG2p LIBOBJS LTLIBOBJS'  
 ac_subst_files=''  ac_subst_files=''
   
 # Initialize some variables set by options.  # Initialize some variables set by options.
Line 766  ac_env_CPPFLAGS_set=${CPPFLAGS+set}
Line 729  ac_env_CPPFLAGS_set=${CPPFLAGS+set}
 ac_env_CPPFLAGS_value=$CPPFLAGS  ac_env_CPPFLAGS_value=$CPPFLAGS
 ac_cv_env_CPPFLAGS_set=${CPPFLAGS+set}  ac_cv_env_CPPFLAGS_set=${CPPFLAGS+set}
 ac_cv_env_CPPFLAGS_value=$CPPFLAGS  ac_cv_env_CPPFLAGS_value=$CPPFLAGS
 ac_env_CPP_set=${CPP+set}  
 ac_env_CPP_value=$CPP  
 ac_cv_env_CPP_set=${CPP+set}  
 ac_cv_env_CPP_value=$CPP  
   
 #  #
 # Report the --help message.  # Report the --help message.
Line 844  Some influential environment variables:
Line 803  Some influential environment variables:
               nonstandard directory <lib dir>                nonstandard directory <lib dir>
   CPPFLAGS    C/C++ preprocessor flags, e.g. -I<include dir> if you have    CPPFLAGS    C/C++ preprocessor flags, e.g. -I<include dir> if you have
               headers in a nonstandard directory <include dir>                headers in a nonstandard directory <include dir>
   CPP         C preprocessor  
   
 Use these variables to override the choices made by `configure' or to help  Use these variables to override the choices made by `configure' or to help
 it to find libraries and programs with nonstandard names/locations.  it to find libraries and programs with nonstandard names/locations.
Line 2798  fi
Line 2756  fi
   
 fi  fi
   
 ac_ext=c  
 ac_cpp='$CPP $CPPFLAGS'  
 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'  
 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'  
 ac_compiler_gnu=$ac_cv_c_compiler_gnu  
 echo "$as_me:$LINENO: checking how to run the C preprocessor" >&5  
 echo $ECHO_N "checking how to run the C preprocessor... $ECHO_C" >&6  
 # On Suns, sometimes $CPP names a directory.  
 if test -n "$CPP" && test -d "$CPP"; then  
   CPP=  
 fi  
 if test -z "$CPP"; then  
   if test "${ac_cv_prog_CPP+set}" = set; then  
   echo $ECHO_N "(cached) $ECHO_C" >&6  
 else  
       # Double quotes because CPP needs to be expanded  
     for CPP in "$CC -E" "$CC -E -traditional-cpp" "/lib/cpp"  
     do  
       ac_preproc_ok=false  
 for ac_c_preproc_warn_flag in '' yes  
 do  
   # Use a header file that comes with gcc, so configuring glibc  
   # with a fresh cross-compiler works.  
   # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since  
   # <limits.h> exists even on freestanding compilers.  
   # On the NeXT, cc -E runs the code through the compiler's parser,  
   # not just through cpp. "Syntax error" is here to catch this case.  
   cat >conftest.$ac_ext <<_ACEOF  
 /* confdefs.h.  */  
 _ACEOF  
 cat confdefs.h >>conftest.$ac_ext  
 cat >>conftest.$ac_ext <<_ACEOF  
 /* end confdefs.h.  */  
 #ifdef __STDC__  
 # include <limits.h>  
 #else  
 # include <assert.h>  
 #endif  
                      Syntax error  
 _ACEOF  
 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5  
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1  
   ac_status=$?  
   grep -v '^ *+' conftest.er1 >conftest.err  
   rm -f conftest.er1  
   cat conftest.err >&5  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); } >/dev/null; then  
   if test -s conftest.err; then  
     ac_cpp_err=$ac_c_preproc_warn_flag  
     ac_cpp_err=$ac_cpp_err$ac_c_werror_flag  
   else  
     ac_cpp_err=  
   fi  
 else  
   ac_cpp_err=yes  
 fi  
 if test -z "$ac_cpp_err"; then  
   :  
 else  
   echo "$as_me: failed program was:" >&5  
 sed 's/^/| /' conftest.$ac_ext >&5  
   
   # Broken: fails on valid input.  
 continue  
 fi  
 rm -f conftest.err conftest.$ac_ext  
   
   # OK, works on sane cases.  Now check whether non-existent headers  
   # can be detected and how.  
   cat >conftest.$ac_ext <<_ACEOF  
 /* confdefs.h.  */  
 _ACEOF  
 cat confdefs.h >>conftest.$ac_ext  
 cat >>conftest.$ac_ext <<_ACEOF  
 /* end confdefs.h.  */  
 #include <ac_nonexistent.h>  
 _ACEOF  
 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5  
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1  
   ac_status=$?  
   grep -v '^ *+' conftest.er1 >conftest.err  
   rm -f conftest.er1  
   cat conftest.err >&5  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); } >/dev/null; then  
   if test -s conftest.err; then  
     ac_cpp_err=$ac_c_preproc_warn_flag  
     ac_cpp_err=$ac_cpp_err$ac_c_werror_flag  
   else  
     ac_cpp_err=  
   fi  
 else  
   ac_cpp_err=yes  
 fi  
 if test -z "$ac_cpp_err"; then  
   # Broken: success on invalid input.  
 continue  
 else  
   echo "$as_me: failed program was:" >&5  
 sed 's/^/| /' conftest.$ac_ext >&5  
   
   # Passes both tests.  
 ac_preproc_ok=:  
 break  
 fi  
 rm -f conftest.err conftest.$ac_ext  
   
 done  
 # Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.  
 rm -f conftest.err conftest.$ac_ext  
 if $ac_preproc_ok; then  
   break  
 fi  
   
     done  
     ac_cv_prog_CPP=$CPP  
   
 fi  
   CPP=$ac_cv_prog_CPP  
 else  
   ac_cv_prog_CPP=$CPP  
 fi  
 echo "$as_me:$LINENO: result: $CPP" >&5  
 echo "${ECHO_T}$CPP" >&6  
 ac_preproc_ok=false  
 for ac_c_preproc_warn_flag in '' yes  
 do  
   # Use a header file that comes with gcc, so configuring glibc  
   # with a fresh cross-compiler works.  
   # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since  
   # <limits.h> exists even on freestanding compilers.  
   # On the NeXT, cc -E runs the code through the compiler's parser,  
   # not just through cpp. "Syntax error" is here to catch this case.  
   cat >conftest.$ac_ext <<_ACEOF  
 /* confdefs.h.  */  
 _ACEOF  
 cat confdefs.h >>conftest.$ac_ext  
 cat >>conftest.$ac_ext <<_ACEOF  
 /* end confdefs.h.  */  
 #ifdef __STDC__  
 # include <limits.h>  
 #else  
 # include <assert.h>  
 #endif  
                      Syntax error  
 _ACEOF  
 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5  
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1  
   ac_status=$?  
   grep -v '^ *+' conftest.er1 >conftest.err  
   rm -f conftest.er1  
   cat conftest.err >&5  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); } >/dev/null; then  
   if test -s conftest.err; then  
     ac_cpp_err=$ac_c_preproc_warn_flag  
     ac_cpp_err=$ac_cpp_err$ac_c_werror_flag  
   else  
     ac_cpp_err=  
   fi  
 else  
   ac_cpp_err=yes  
 fi  
 if test -z "$ac_cpp_err"; then  
   :  
 else  
   echo "$as_me: failed program was:" >&5  
 sed 's/^/| /' conftest.$ac_ext >&5  
   
   # Broken: fails on valid input.  
 continue  
 fi  
 rm -f conftest.err conftest.$ac_ext  
   
   # OK, works on sane cases.  Now check whether non-existent headers  
   # can be detected and how.  
   cat >conftest.$ac_ext <<_ACEOF  
 /* confdefs.h.  */  
 _ACEOF  
 cat confdefs.h >>conftest.$ac_ext  
 cat >>conftest.$ac_ext <<_ACEOF  
 /* end confdefs.h.  */  
 #include <ac_nonexistent.h>  
 _ACEOF  
 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5  
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1  
   ac_status=$?  
   grep -v '^ *+' conftest.er1 >conftest.err  
   rm -f conftest.er1  
   cat conftest.err >&5  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); } >/dev/null; then  
   if test -s conftest.err; then  
     ac_cpp_err=$ac_c_preproc_warn_flag  
     ac_cpp_err=$ac_cpp_err$ac_c_werror_flag  
   else  
     ac_cpp_err=  
   fi  
 else  
   ac_cpp_err=yes  
 fi  
 if test -z "$ac_cpp_err"; then  
   # Broken: success on invalid input.  
 continue  
 else  
   echo "$as_me: failed program was:" >&5  
 sed 's/^/| /' conftest.$ac_ext >&5  
   
   # Passes both tests.  
 ac_preproc_ok=:  
 break  
 fi  
 rm -f conftest.err conftest.$ac_ext  
   
 done  
 # Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.  
 rm -f conftest.err conftest.$ac_ext  
 if $ac_preproc_ok; then  
   :  
 else  
   { { echo "$as_me:$LINENO: error: C preprocessor \"$CPP\" fails sanity check  
 See \`config.log' for more details." >&5  
 echo "$as_me: error: C preprocessor \"$CPP\" fails sanity check  
 See \`config.log' for more details." >&2;}  
    { (exit 1); exit 1; }; }  
 fi  
   
 ac_ext=c  
 ac_cpp='$CPP $CPPFLAGS'  
 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'  
 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'  
 ac_compiler_gnu=$ac_cv_c_compiler_gnu  
   
   
 echo "$as_me:$LINENO: checking for egrep" >&5  
 echo $ECHO_N "checking for egrep... $ECHO_C" >&6  
 if test "${ac_cv_prog_egrep+set}" = set; then  
   echo $ECHO_N "(cached) $ECHO_C" >&6  
 else  
   if echo a | (grep -E '(a|b)') >/dev/null 2>&1  
     then ac_cv_prog_egrep='grep -E'  
     else ac_cv_prog_egrep='egrep'  
     fi  
 fi  
 echo "$as_me:$LINENO: result: $ac_cv_prog_egrep" >&5  
 echo "${ECHO_T}$ac_cv_prog_egrep" >&6  
  EGREP=$ac_cv_prog_egrep  
   
   
 echo "$as_me:$LINENO: checking for ANSI C header files" >&5  
 echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6  
 if test "${ac_cv_header_stdc+set}" = set; then  
   echo $ECHO_N "(cached) $ECHO_C" >&6  
 else  
   cat >conftest.$ac_ext <<_ACEOF  
 /* confdefs.h.  */  
 _ACEOF  
 cat confdefs.h >>conftest.$ac_ext  
 cat >>conftest.$ac_ext <<_ACEOF  
 /* end confdefs.h.  */  
 #include <stdlib.h>  
 #include <stdarg.h>  
 #include <string.h>  
 #include <float.h>  
   
 int  
 main ()  
 {  
   
   ;  
   return 0;  
 }  
 _ACEOF  
 rm -f conftest.$ac_objext  
 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5  
   (eval $ac_compile) 2>conftest.er1  
   ac_status=$?  
   grep -v '^ *+' conftest.er1 >conftest.err  
   rm -f conftest.er1  
   cat conftest.err >&5  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); } &&  
          { ac_try='test -z "$ac_c_werror_flag"  
                          || test ! -s conftest.err'  
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5  
   (eval $ac_try) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); }; } &&  
          { ac_try='test -s conftest.$ac_objext'  
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5  
   (eval $ac_try) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); }; }; then  
   ac_cv_header_stdc=yes  
 else  
   echo "$as_me: failed program was:" >&5  
 sed 's/^/| /' conftest.$ac_ext >&5  
   
 ac_cv_header_stdc=no  
 fi  
 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext  
   
 if test $ac_cv_header_stdc = yes; then  
   # SunOS 4.x string.h does not declare mem*, contrary to ANSI.  
   cat >conftest.$ac_ext <<_ACEOF  
 /* confdefs.h.  */  
 _ACEOF  
 cat confdefs.h >>conftest.$ac_ext  
 cat >>conftest.$ac_ext <<_ACEOF  
 /* end confdefs.h.  */  
 #include <string.h>  
   
 _ACEOF  
 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |  
   $EGREP "memchr" >/dev/null 2>&1; then  
   :  
 else  
   ac_cv_header_stdc=no  
 fi  
 rm -f conftest*  
   
 fi  
   
 if test $ac_cv_header_stdc = yes; then  
   # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.  
   cat >conftest.$ac_ext <<_ACEOF  
 /* confdefs.h.  */  
 _ACEOF  
 cat confdefs.h >>conftest.$ac_ext  
 cat >>conftest.$ac_ext <<_ACEOF  
 /* end confdefs.h.  */  
 #include <stdlib.h>  
   
 _ACEOF  
 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |  
   $EGREP "free" >/dev/null 2>&1; then  
   :  
 else  
   ac_cv_header_stdc=no  
 fi  
 rm -f conftest*  
   
 fi  
   
 if test $ac_cv_header_stdc = yes; then  
   # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.  
   if test "$cross_compiling" = yes; then  
   :  
 else  
   cat >conftest.$ac_ext <<_ACEOF  
 /* confdefs.h.  */  
 _ACEOF  
 cat confdefs.h >>conftest.$ac_ext  
 cat >>conftest.$ac_ext <<_ACEOF  
 /* end confdefs.h.  */  
 #include <ctype.h>  
 #if ((' ' & 0x0FF) == 0x020)  
 # define ISLOWER(c) ('a' <= (c) && (c) <= 'z')  
 # define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))  
 #else  
 # define ISLOWER(c) \  
                    (('a' <= (c) && (c) <= 'i') \  
                      || ('j' <= (c) && (c) <= 'r') \  
                      || ('s' <= (c) && (c) <= 'z'))  
 # define TOUPPER(c) (ISLOWER(c) ? ((c) | 0x40) : (c))  
 #endif  
   
 #define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))  
 int  
 main ()  
 {  
   int i;  
   for (i = 0; i < 256; i++)  
     if (XOR (islower (i), ISLOWER (i))  
         || toupper (i) != TOUPPER (i))  
       exit(2);  
   exit (0);  
 }  
 _ACEOF  
 rm -f conftest$ac_exeext  
 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5  
   (eval $ac_link) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'  
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5  
   (eval $ac_try) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); }; }; then  
   :  
 else  
   echo "$as_me: program exited with status $ac_status" >&5  
 echo "$as_me: failed program was:" >&5  
 sed 's/^/| /' conftest.$ac_ext >&5  
   
 ( exit $ac_status )  
 ac_cv_header_stdc=no  
 fi  
 rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext  
 fi  
 fi  
 fi  
 echo "$as_me:$LINENO: result: $ac_cv_header_stdc" >&5  
 echo "${ECHO_T}$ac_cv_header_stdc" >&6  
 if test $ac_cv_header_stdc = yes; then  
   
 cat >>confdefs.h <<\_ACEOF  
 #define STDC_HEADERS 1  
 _ACEOF  
   
 fi  
   
 # On IRIX 5.3, sys/types and inttypes.h are conflicting.  
   
   
   
   
   
   
   
   
   
 for ac_header in sys/types.h sys/stat.h stdlib.h string.h memory.h strings.h \  
                   inttypes.h stdint.h unistd.h  
 do  
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`  
 echo "$as_me:$LINENO: checking for $ac_header" >&5  
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6  
 if eval "test \"\${$as_ac_Header+set}\" = set"; then  
   echo $ECHO_N "(cached) $ECHO_C" >&6  
 else  
   cat >conftest.$ac_ext <<_ACEOF  
 /* confdefs.h.  */  
 _ACEOF  
 cat confdefs.h >>conftest.$ac_ext  
 cat >>conftest.$ac_ext <<_ACEOF  
 /* end confdefs.h.  */  
 $ac_includes_default  
   
 #include <$ac_header>  
 _ACEOF  
 rm -f conftest.$ac_objext  
 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5  
   (eval $ac_compile) 2>conftest.er1  
   ac_status=$?  
   grep -v '^ *+' conftest.er1 >conftest.err  
   rm -f conftest.er1  
   cat conftest.err >&5  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); } &&  
          { ac_try='test -z "$ac_c_werror_flag"  
                          || test ! -s conftest.err'  
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5  
   (eval $ac_try) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); }; } &&  
          { ac_try='test -s conftest.$ac_objext'  
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5  
   (eval $ac_try) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); }; }; then  
   eval "$as_ac_Header=yes"  
 else  
   echo "$as_me: failed program was:" >&5  
 sed 's/^/| /' conftest.$ac_ext >&5  
   
 eval "$as_ac_Header=no"  
 fi  
 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext  
 fi  
 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5  
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6  
 if test `eval echo '${'$as_ac_Header'}'` = yes; then  
   cat >>confdefs.h <<_ACEOF  
 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1  
 _ACEOF  
   
 fi  
   
 done  
   
   
 if test "${ac_cv_header_sys_appleapiopts_h+set}" = set; then  
   echo "$as_me:$LINENO: checking for sys/appleapiopts.h" >&5  
 echo $ECHO_N "checking for sys/appleapiopts.h... $ECHO_C" >&6  
 if test "${ac_cv_header_sys_appleapiopts_h+set}" = set; then  
   echo $ECHO_N "(cached) $ECHO_C" >&6  
 fi  
 echo "$as_me:$LINENO: result: $ac_cv_header_sys_appleapiopts_h" >&5  
 echo "${ECHO_T}$ac_cv_header_sys_appleapiopts_h" >&6  
 else  
   # Is the header compilable?  
 echo "$as_me:$LINENO: checking sys/appleapiopts.h usability" >&5  
 echo $ECHO_N "checking sys/appleapiopts.h usability... $ECHO_C" >&6  
 cat >conftest.$ac_ext <<_ACEOF  
 /* confdefs.h.  */  
 _ACEOF  
 cat confdefs.h >>conftest.$ac_ext  
 cat >>conftest.$ac_ext <<_ACEOF  
 /* end confdefs.h.  */  
 $ac_includes_default  
 #include <sys/appleapiopts.h>  
 _ACEOF  
 rm -f conftest.$ac_objext  
 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5  
   (eval $ac_compile) 2>conftest.er1  
   ac_status=$?  
   grep -v '^ *+' conftest.er1 >conftest.err  
   rm -f conftest.er1  
   cat conftest.err >&5  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); } &&  
          { ac_try='test -z "$ac_c_werror_flag"  
                          || test ! -s conftest.err'  
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5  
   (eval $ac_try) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); }; } &&  
          { ac_try='test -s conftest.$ac_objext'  
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5  
   (eval $ac_try) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); }; }; then  
   ac_header_compiler=yes  
 else  
   echo "$as_me: failed program was:" >&5  
 sed 's/^/| /' conftest.$ac_ext >&5  
   
 ac_header_compiler=no  
 fi  
 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext  
 echo "$as_me:$LINENO: result: $ac_header_compiler" >&5  
 echo "${ECHO_T}$ac_header_compiler" >&6  
   
 # Is the header present?  
 echo "$as_me:$LINENO: checking sys/appleapiopts.h presence" >&5  
 echo $ECHO_N "checking sys/appleapiopts.h presence... $ECHO_C" >&6  
 cat >conftest.$ac_ext <<_ACEOF  
 /* confdefs.h.  */  
 _ACEOF  
 cat confdefs.h >>conftest.$ac_ext  
 cat >>conftest.$ac_ext <<_ACEOF  
 /* end confdefs.h.  */  
 #include <sys/appleapiopts.h>  
 _ACEOF  
 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5  
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1  
   ac_status=$?  
   grep -v '^ *+' conftest.er1 >conftest.err  
   rm -f conftest.er1  
   cat conftest.err >&5  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); } >/dev/null; then  
   if test -s conftest.err; then  
     ac_cpp_err=$ac_c_preproc_warn_flag  
     ac_cpp_err=$ac_cpp_err$ac_c_werror_flag  
   else  
     ac_cpp_err=  
   fi  
 else  
   ac_cpp_err=yes  
 fi  
 if test -z "$ac_cpp_err"; then  
   ac_header_preproc=yes  
 else  
   echo "$as_me: failed program was:" >&5  
 sed 's/^/| /' conftest.$ac_ext >&5  
   
   ac_header_preproc=no  
 fi  
 rm -f conftest.err conftest.$ac_ext  
 echo "$as_me:$LINENO: result: $ac_header_preproc" >&5  
 echo "${ECHO_T}$ac_header_preproc" >&6  
   
 # So?  What about this header?  
 case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in  
   yes:no: )  
     { echo "$as_me:$LINENO: WARNING: sys/appleapiopts.h: accepted by the compiler, rejected by the preprocessor!" >&5  
 echo "$as_me: WARNING: sys/appleapiopts.h: accepted by the compiler, rejected by the preprocessor!" >&2;}  
     { echo "$as_me:$LINENO: WARNING: sys/appleapiopts.h: proceeding with the compiler's result" >&5  
 echo "$as_me: WARNING: sys/appleapiopts.h: proceeding with the compiler's result" >&2;}  
     ac_header_preproc=yes  
     ;;  
   no:yes:* )  
     { echo "$as_me:$LINENO: WARNING: sys/appleapiopts.h: present but cannot be compiled" >&5  
 echo "$as_me: WARNING: sys/appleapiopts.h: present but cannot be compiled" >&2;}  
     { echo "$as_me:$LINENO: WARNING: sys/appleapiopts.h:     check for missing prerequisite headers?" >&5  
 echo "$as_me: WARNING: sys/appleapiopts.h:     check for missing prerequisite headers?" >&2;}  
     { echo "$as_me:$LINENO: WARNING: sys/appleapiopts.h: see the Autoconf documentation" >&5  
 echo "$as_me: WARNING: sys/appleapiopts.h: see the Autoconf documentation" >&2;}  
     { echo "$as_me:$LINENO: WARNING: sys/appleapiopts.h:     section \"Present But Cannot Be Compiled\"" >&5  
 echo "$as_me: WARNING: sys/appleapiopts.h:     section \"Present But Cannot Be Compiled\"" >&2;}  
     { echo "$as_me:$LINENO: WARNING: sys/appleapiopts.h: proceeding with the preprocessor's result" >&5  
 echo "$as_me: WARNING: sys/appleapiopts.h: proceeding with the preprocessor's result" >&2;}  
     { echo "$as_me:$LINENO: WARNING: sys/appleapiopts.h: in the future, the compiler will take precedence" >&5  
 echo "$as_me: WARNING: sys/appleapiopts.h: in the future, the compiler will take precedence" >&2;}  
     (  
       cat <<\_ASBOX  
 ## ------------------------------------------ ##  
 ## Report this to the AC_PACKAGE_NAME lists.  ##  
 ## ------------------------------------------ ##  
 _ASBOX  
     ) |  
       sed "s/^/$as_me: WARNING:     /" >&2  
     ;;  
 esac  
 echo "$as_me:$LINENO: checking for sys/appleapiopts.h" >&5  
 echo $ECHO_N "checking for sys/appleapiopts.h... $ECHO_C" >&6  
 if test "${ac_cv_header_sys_appleapiopts_h+set}" = set; then  
   echo $ECHO_N "(cached) $ECHO_C" >&6  
 else  
   ac_cv_header_sys_appleapiopts_h=$ac_header_preproc  
 fi  
 echo "$as_me:$LINENO: result: $ac_cv_header_sys_appleapiopts_h" >&5  
 echo "${ECHO_T}$ac_cv_header_sys_appleapiopts_h" >&6  
   
 fi  
 if test $ac_cv_header_sys_appleapiopts_h = yes; then  
   CFLAG2=" -arch ppc -arch i386"  
   
 else  
   CFLAG2=" "  
   
 fi  
   
   
 if test "${ac_cv_header_sys_appleapiopts_h+set}" = set; then  
   echo "$as_me:$LINENO: checking for sys/appleapiopts.h" >&5  
 echo $ECHO_N "checking for sys/appleapiopts.h... $ECHO_C" >&6  
 if test "${ac_cv_header_sys_appleapiopts_h+set}" = set; then  
   echo $ECHO_N "(cached) $ECHO_C" >&6  
 fi  
 echo "$as_me:$LINENO: result: $ac_cv_header_sys_appleapiopts_h" >&5  
 echo "${ECHO_T}$ac_cv_header_sys_appleapiopts_h" >&6  
 else  
   # Is the header compilable?  
 echo "$as_me:$LINENO: checking sys/appleapiopts.h usability" >&5  
 echo $ECHO_N "checking sys/appleapiopts.h usability... $ECHO_C" >&6  
 cat >conftest.$ac_ext <<_ACEOF  
 /* confdefs.h.  */  
 _ACEOF  
 cat confdefs.h >>conftest.$ac_ext  
 cat >>conftest.$ac_ext <<_ACEOF  
 /* end confdefs.h.  */  
 $ac_includes_default  
 #include <sys/appleapiopts.h>  
 _ACEOF  
 rm -f conftest.$ac_objext  
 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5  
   (eval $ac_compile) 2>conftest.er1  
   ac_status=$?  
   grep -v '^ *+' conftest.er1 >conftest.err  
   rm -f conftest.er1  
   cat conftest.err >&5  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); } &&  
          { ac_try='test -z "$ac_c_werror_flag"  
                          || test ! -s conftest.err'  
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5  
   (eval $ac_try) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); }; } &&  
          { ac_try='test -s conftest.$ac_objext'  
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5  
   (eval $ac_try) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); }; }; then  
   ac_header_compiler=yes  
 else  
   echo "$as_me: failed program was:" >&5  
 sed 's/^/| /' conftest.$ac_ext >&5  
   
 ac_header_compiler=no  
 fi  
 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext  
 echo "$as_me:$LINENO: result: $ac_header_compiler" >&5  
 echo "${ECHO_T}$ac_header_compiler" >&6  
   
 # Is the header present?  
 echo "$as_me:$LINENO: checking sys/appleapiopts.h presence" >&5  
 echo $ECHO_N "checking sys/appleapiopts.h presence... $ECHO_C" >&6  
 cat >conftest.$ac_ext <<_ACEOF  
 /* confdefs.h.  */  
 _ACEOF  
 cat confdefs.h >>conftest.$ac_ext  
 cat >>conftest.$ac_ext <<_ACEOF  
 /* end confdefs.h.  */  
 #include <sys/appleapiopts.h>  
 _ACEOF  
 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5  
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1  
   ac_status=$?  
   grep -v '^ *+' conftest.er1 >conftest.err  
   rm -f conftest.er1  
   cat conftest.err >&5  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); } >/dev/null; then  
   if test -s conftest.err; then  
     ac_cpp_err=$ac_c_preproc_warn_flag  
     ac_cpp_err=$ac_cpp_err$ac_c_werror_flag  
   else  
     ac_cpp_err=  
   fi  
 else  
   ac_cpp_err=yes  
 fi  
 if test -z "$ac_cpp_err"; then  
   ac_header_preproc=yes  
 else  
   echo "$as_me: failed program was:" >&5  
 sed 's/^/| /' conftest.$ac_ext >&5  
   
   ac_header_preproc=no  
 fi  
 rm -f conftest.err conftest.$ac_ext  
 echo "$as_me:$LINENO: result: $ac_header_preproc" >&5  
 echo "${ECHO_T}$ac_header_preproc" >&6  
   
 # So?  What about this header?  
 case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in  
   yes:no: )  
     { echo "$as_me:$LINENO: WARNING: sys/appleapiopts.h: accepted by the compiler, rejected by the preprocessor!" >&5  
 echo "$as_me: WARNING: sys/appleapiopts.h: accepted by the compiler, rejected by the preprocessor!" >&2;}  
     { echo "$as_me:$LINENO: WARNING: sys/appleapiopts.h: proceeding with the compiler's result" >&5  
 echo "$as_me: WARNING: sys/appleapiopts.h: proceeding with the compiler's result" >&2;}  
     ac_header_preproc=yes  
     ;;  
   no:yes:* )  
     { echo "$as_me:$LINENO: WARNING: sys/appleapiopts.h: present but cannot be compiled" >&5  
 echo "$as_me: WARNING: sys/appleapiopts.h: present but cannot be compiled" >&2;}  
     { echo "$as_me:$LINENO: WARNING: sys/appleapiopts.h:     check for missing prerequisite headers?" >&5  
 echo "$as_me: WARNING: sys/appleapiopts.h:     check for missing prerequisite headers?" >&2;}  
     { echo "$as_me:$LINENO: WARNING: sys/appleapiopts.h: see the Autoconf documentation" >&5  
 echo "$as_me: WARNING: sys/appleapiopts.h: see the Autoconf documentation" >&2;}  
     { echo "$as_me:$LINENO: WARNING: sys/appleapiopts.h:     section \"Present But Cannot Be Compiled\"" >&5  
 echo "$as_me: WARNING: sys/appleapiopts.h:     section \"Present But Cannot Be Compiled\"" >&2;}  
     { echo "$as_me:$LINENO: WARNING: sys/appleapiopts.h: proceeding with the preprocessor's result" >&5  
 echo "$as_me: WARNING: sys/appleapiopts.h: proceeding with the preprocessor's result" >&2;}  
     { echo "$as_me:$LINENO: WARNING: sys/appleapiopts.h: in the future, the compiler will take precedence" >&5  
 echo "$as_me: WARNING: sys/appleapiopts.h: in the future, the compiler will take precedence" >&2;}  
     (  
       cat <<\_ASBOX  
 ## ------------------------------------------ ##  
 ## Report this to the AC_PACKAGE_NAME lists.  ##  
 ## ------------------------------------------ ##  
 _ASBOX  
     ) |  
       sed "s/^/$as_me: WARNING:     /" >&2  
     ;;  
 esac  
 echo "$as_me:$LINENO: checking for sys/appleapiopts.h" >&5  
 echo $ECHO_N "checking for sys/appleapiopts.h... $ECHO_C" >&6  
 if test "${ac_cv_header_sys_appleapiopts_h+set}" = set; then  
   echo $ECHO_N "(cached) $ECHO_C" >&6  
 else  
   ac_cv_header_sys_appleapiopts_h=$ac_header_preproc  
 fi  
 echo "$as_me:$LINENO: result: $ac_cv_header_sys_appleapiopts_h" >&5  
 echo "${ECHO_T}$ac_cv_header_sys_appleapiopts_h" >&6  
   
 fi  
 if test $ac_cv_header_sys_appleapiopts_h = yes; then  
   CFLAG2p=" -arch ppc -arch i386 -isysroot /Developer/SDKs/MacOSX10.4u.sdk "  
   
 else  
   CFLAG2p=" "  
   
 fi  
   
   
   
   
           ac_config_files="$ac_config_files Makefile"            ac_config_files="$ac_config_files Makefile"
 cat >confcache <<\_ACEOF  cat >confcache <<\_ACEOF
 # This file is a shell script that caches the results of configure  # This file is a shell script that caches the results of configure
Line 4224  s,@EXEEXT@,$EXEEXT,;t t
Line 3402  s,@EXEEXT@,$EXEEXT,;t t
 s,@OBJEXT@,$OBJEXT,;t t  s,@OBJEXT@,$OBJEXT,;t t
 s,@RANLIB@,$RANLIB,;t t  s,@RANLIB@,$RANLIB,;t t
 s,@ac_ct_RANLIB@,$ac_ct_RANLIB,;t t  s,@ac_ct_RANLIB@,$ac_ct_RANLIB,;t t
 s,@CFLAG2@,$CFLAG2,;t t  
 s,@CPP@,$CPP,;t t  
 s,@EGREP@,$EGREP,;t t  
 s,@CFLAG2p@,$CFLAG2p,;t t  
 s,@LIBOBJS@,$LIBOBJS,;t t  s,@LIBOBJS@,$LIBOBJS,;t t
 s,@LTLIBOBJS@,$LTLIBOBJS,;t t  s,@LTLIBOBJS@,$LTLIBOBJS,;t t
 CEOF  CEOF

Legend:
Removed from v.1.5  
changed lines
  Added in v.1.6

FreeBSD-CVSweb <freebsd-cvsweb@FreeBSD.org>